Skip to content

Get an order

GET
/api/subscriptions/orders/{id}
curl --request GET \
--url https://api.usegro.co/api/subscriptions/orders/example \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <X-API-Key>'
id
required
string
Media typeapplication/json
object
data
required
object
id
required
string
status
required
string
Allowed values: PENDING PAID PARTIALLY_REFUNDED REFUNDED CANCELLED
created_at
string
nullable
updated_at
string
nullable
account_id
required
string
total
required
number
currency_code
required
string
profile_id
string
nullable
shopify_order_id
required
string
production_date
string
nullable
delivery_date
string
nullable
fulfillment_status
required
string
Allowed values: UNFULFILLED PARTIALLY_FULFILLED FULFILLED
shopify_order_number
number
nullable
external_order_id
string
nullable
external_order_number
string
nullable
external_source
string
nullable
is_checkout_order
required
boolean
tracking_number
string
nullable
tracking_company
string
nullable
tracking_url
string
nullable
subtotal
required
number
discount_amount
required
number
billing_date
string
nullable
order_created_at
string
nullable
profile
One of:
string
subscriptions
One of:
string
delivery_slot
One of:
string

Example

{
"data": {
"status": "PENDING",
"fulfillment_status": "UNFULFILLED",
"profile": {
"email_status": "subscribed",
"sms_status": "subscribed",
"sms_opt_in_level": "single_opt_in"
}
}
}